
Name:           accounts-qt
Version:        1.16
Release:        %mkrel 1
Summary:        Accounts framework Qt bindings
Group:          System/Libraries
License:        LGPLv2
URL:            https://gitlab.com/groups/accounts-sso
Source0:    libaccounts-qt-VERSION_%{version}.tar.xz

BuildRequires:  pkgconfig(libaccounts-glib)
BuildRequires:  doxygen

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)

%description
Framework to provide accounts for Qt.


#------------------------------------------------------------------------------
%define libaccounts_major 1
%define libaccounts_qt %mklibname accounts-qt %{libaccounts_major}

%package -n     %{libaccounts_qt}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libaccounts_qt}
Runtime libraries for %{name}.

%files -n %{libaccounts_qt}
%{_libdir}/libaccounts-qt5.so.%{libaccounts_major}*

#---------------------------------------------------------------------------------
%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
Documentation for %{name}.

%files doc
%{_datadir}/doc/%{name}

#---------------------------------------------------------------------------------
%define libaccounts_devel %mklibname accounts-qt -d

%package -n     %{libaccounts_devel}
Summary:        Headers files for %{name}
Group:          Development/Libraries
Requires:       %{libaccounts_qt} = %{version}-%{release}

%description -n %{libaccounts_devel}
Headers files for %{name}.

%files -n %{libaccounts_devel}
%{_includedir}/%{name}5
%{_libdir}/libaccounts-qt5.so
%{_libdir}/cmake/AccountsQt5
%{_libdir}/pkgconfig/accounts-qt5.pc
%{_bindir}/accountstest

#------------------------------------------------------------------------------


%prep
%setup -qn lib%{name}-VERSION_%{version}

%build
%qmake_qt5 \
	QMF_INSTALL_ROOT=%{_prefix} \
	CONFIG+=release accounts-qt.pro \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

%make_build

%install
%make_install \
	INSTALL_ROOT=%{buildroot}


%changelog
* Thu Jan 06 2021 tex - 1.16-1pclos2021
- new version

* Sat Feb 15 2020 tex - 1.15-1pclos2020
- import from maggie
